// Original author: Anders Logg. Added to Kraftwerk 2001.
// Copyright (C) 2002 Johan Hoffman and Anders Logg.
// Licensed under the GNU GPL Version 2.

#ifndef __GLOBALS_HH
#define __GLOBALS_HH

#include <kraftwerk.h>
#include "ParameterList.hh"

///
class Globals : public ParameterList {
public:
  
  /// Constructor
  Globals() : ParameterList() {
	 
    // Create the parameters and specify default values
    Add("current computational level", type_int, 0);
    Add("current output level",        type_int, 0);
    Add("current input level primal",  type_int, 0);
	 Add("exact integration",           type_bool, true);

	 // Initialise the bc functio to NULL
	 bc_function = 0;
	 
  };

  /// Destructor
  ~Globals() {};

  // Initialization of parameters
  void Initialize();

  // The boundary condition function is stored here
  kw_bc (*bc_function) (real x, real y, real z, int node, int component);
  
};

#endif
