// Original author: Anders Logg. Added to Kraftwerk 2001.
// Copyright (C) 2002 Johan Hoffman and Anders Logg.
// Licensed under the GNU GPL Version 2.

#ifndef __SETTINGS_HH
#define __SETTINGS_HH

#include "ParameterList.hh"

///
class Settings : public ParameterList {
public:
  
  /// Constructor
  Settings() : ParameterList() {
	 
	 // Create the parameters and specify default values
	 
	 Add("start time",              type_double, 0.0);
	 Add("final time",              type_double, 0.0);
	 Add("space dimension",         type_int,    3);
	 Add("output samples",          type_int,    10);
	 Add("file format",             type_int,    KW_FILE_FORMAT_DX);
	 Add("debug level",             type_int,    0);
	 Add("grid file",               type_string, "grid.inp");
	 Add("output file prefix",      type_string, "kraftwerk");
	 Add("output file primal",      type_string, "");
	 Add("output file dual",        type_string, "");
	 Add("output file settings",    type_string, "");
	 Add("output file residual",    type_string, "");
	 Add("output file matlab",      type_string, "");
	 Add("output file matlab data", type_string, "");
	 Add("problem description",     type_string, "Problem description is not specified.");
	 Add("display",                 type_string, "terminal");
	 Add("solve primal",            type_bool,   true);
	 Add("solve dual",              type_bool,   false);
	 Add("write data",              type_bool,   false);
	 Add("write residuals",         type_bool,   false);
	 
  };
  
  /// Destructor
  ~Settings() {};

  // Initialization of parameters
  void Initialize();
  
};

extern Settings *settings;

#endif
