// Original author: Anders Logg. Added to Kraftwerk 2002-01-16.
// Copyright (C) 2002 Johan Hoffman and Anders Logg.
// Licensed under the GNU GPL Version 2.

#ifndef __POINT_HH
#define __POINT_HH

// A simple structure containing the coordinates of a node. This
// is where a large part of the grid is physically stored so it
// should be small and simple.
//
// Coordinates are represented as floats to save memory, whereas
// calculations on node positions are performed with full precision.

#include <kw_constants.h>

class Point{
public:

  real Distance(Point p);
  
  float x;
  float y;
  float z;
};

#endif
