#ifndef __KRAFTWERK_H
#define __KRAFTWERK_H

// Data types
typedef double real;
enum bc_type { dirichlet , neumann};

// Boundary conditions
class kw_bc{
public:
  kw_bc(){ type=neumann; val=0.0; }  
  bc_type type;
  real val;
};

// Main function calls
void kw_init  (int argc, char **argv);
void kw_end   ();
void kw_solve ();

void kw_save_stability_factors(const char *file_name);

// Specification of problem
void kw_set_problem (const char *problem);

// Specification of boundary conditions
void kw_set_boundary_conditions(kw_bc (*bc)(real x, real y, real z, int node, int component));
											  
// Parameters
void kw_set_parameter   (const char *identifier, ...);
void kw_get_parameter   (const char *identifier, ...);
void kw_save_parameters ();
void kw_save_parameters (const char *filename);
void kw_load_parameters ();
void kw_load_parameters (const char *filename);

// For testing internal functions
void kw_test();
void kw_test_memory();

#endif
