// Copyright (C) 2002 Johan Hoffman and Anders Logg.
// Licensed under the GNU GPL Version 2.
//
// Original author: Anders Logg. Added to Kraftwerk 2001

#ifndef __MATLAB_HH
#define __MATLAB_HH

#include "kw_constants.h"
#include "Value.hh"

/// Saves scalar data to Matlab/Octave format
class Matlab{
public:

  Matlab(int size);
  ~Matlab();

  void   Set     (int pos, real val);
  void   SetTime (real t);
  void   SetLabel(int pos, const char *string);

  void   Reset   ();
  void   Save    ();
  
  int    Size    ();
  double Time    ();
  double Get     (int pos);
  char  *Label   (int pos);

private:

  void ClearData  ();
  void SaveData   ();
  void SaveScript ();
  
  char script_file[KW_LINELENGTH];
  char data_file[KW_LINELENGTH];

  Value *values;
  bool first_frame;
  
};

#endif
