// Copyright (C) 2002 Johan Hoffman and Anders Logg.
// Licensed under the GNU GPL Version 2.

#ifndef __EQUATION_CONVDIFF_HH
#define __EQUATION_CONVDIFF_HH

#include <Equation.hh>

class EquationConvDiff: public Equation{
public:
  
  EquationConvDiff():Equation(3){

	 AllocateFields(6);

	 field[0] = &beta[0];
	 field[1] = &beta[1];
	 field[2] = &beta[2];
	 field[3] = &up;
	 field[4] = &eps;
	 field[5] = &f;
	 
  } 

  real IntegrateLHS(ShapeFunction &u, ShapeFunction &v){

    return ( u*v + dt*( u.dx()*(beta[0]*v) + u.dy()*(beta[1]*v) + u.dz()*(beta[2]*v) + 
								eps * (u.dx()*v.dx() + u.dy()*v.dy() + u.dz()*v.dz()) ));
  }

  real IntegrateRHS(ShapeFunction &v){

    return ( up*v + dt*(f*v) );

  }
  
private:
  
  LocalField up;
  LocalField beta[3];
  LocalField eps;
  LocalField f;
  
};

#endif
