// Copyright (C) 2002 Johan Hoffman and Anders Logg.
// Licensed under the GNU GPL Version 2.

#ifndef __EQUATION_POISSON_2D_HH
#define __EQUATION_POISSON_2D_HH

#include <Equation.hh>
#include <ShapeFunction.hh>
#include <TetLinSpace.hh>
#include <Display.hh>

class EquationPoisson2d: public Equation{
public:

  EquationPoisson2d():Equation(2){}
  
  real IntegrateLHS(ShapeFunction &u, ShapeFunction &v){
	 return ( u.dx()*v.dx() + u.dy()*v.dy() );
  }
  real IntegrateRHS(ShapeFunction &v){
	 return ( 1.0 * v );
  }
  
};

#endif
