#include <kraftwerk.h>

kw_bc my_bc(real x, real y, real z, int node, int component);

int main(int argc, char **argv)
{
  // Set problem
  kw_set_problem("conv-diff");
  
   // Set parameters
  kw_set_parameter("problem description", "Convection-Diffusion equation on the unit cube");
  kw_set_parameter("grid file",           "../../../data/grids/tetgrid_8_8_8.inp");
  kw_set_parameter("output file prefix",  "conv-diff");

  // Set boundary conditions
  kw_set_boundary_conditions(my_bc);
  
  kw_set_parameter("start time", 0.0);
  kw_set_parameter("final time", 1.0);

  // Initialize kraftwerk
  kw_init(argc,argv);

  // Save parameters
  kw_save_parameters();

  // Solve the problem
  kw_solve();
  
  // Finished
  kw_end();
  
  return 0;
}

kw_bc my_bc(real x, real y, real z, int node, int component)
{
  kw_bc bc;
  
  if ( x == 0.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  if ( x == 1.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }

  /*
  if ( y == 0.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  if ( y == 1.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  */

  /*
  if ( z == 0.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  if ( z == 1.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  */

  return bc;
}
