#include <kraftwerk.h>
#include <iostream.h>

kw_bc my_bc(real x, real y, real z, int node, int component);

int main(int argc, char **argv)
{
  // Set problem
  kw_set_problem("poisson");
  
   // Set parameters
  kw_set_parameter("problem description", "Poisson's equation on the unit cube");
  kw_set_parameter("output file prefix",  "poisson");
  kw_set_parameter("grid file",           "../../../data/grids/tetgrid_8_8_8.inp");

  //kw_set_parameter("grid file",       "../../../data/grids/trigrid-1.inp");
  //kw_set_parameter("space dimension", 2);
  
  // Set boundary conditions
  kw_set_boundary_conditions(my_bc);
  
  // Initialize kraftwerk
  kw_init(argc,argv);

  // Save parameters
  kw_save_parameters();

  // Solve the problem
  kw_solve();
  
  // Finished
  kw_end();
  
  return 0;
}

kw_bc my_bc(real x, real y, real z, int node, int component)
{
  kw_bc bc;

  if ( x == 0.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  if ( x == 1.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }

  /*
  if ( y == 0.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  if ( y == 1.0 ){
	 bc.type = dirichlet;
	 bc.val  = 0.0;
  }
  */
   
  return bc;
}
